Subject: bug#65391: People need to report failing builds even though we have ci.guix.gnu.org for that

From: Csepp <[email-masked]>
Date: Thu, 24 Aug 2023 19:23:58 +0200

Simon Tournier <[email-masked]> writes:

> Hi,
>
> On Wed, 23 Aug 2023 at 01:45, Csepp <[email-masked]> wrote:
>
>> One possible improvement I have been thinking about is making it easy
>> for users to filter CI output to the packages in their profile closure,
>> so for example they would get advance notice of any broken packages
>> *before* attempting to install them.
>> Teams could also have their own filters.
>
> Maybe I am missing what you would like, from my understanding, that’s
> already possible using time-machine and weather.  For example,
>
>    guix time-machine -- weather -m manifest.scm
>
> allow to know the status of the last commit.  What is missing is a clear
> return code for chaining.  For instance, see this proposal:
>
>         subject: guix weather exit status?
>         from: Leo Famulari <[email-masked]>
>         date: Thu, 08 Jul 2021 16:35:03 -0400
>         message-id: id:[email-masked]
>         https://yhetil.org/guix/[email-masked]
>
> However, I agree that the next step (find the log of the broken package)
> for teams is a bit convoluted.
>
> Cheers,
> simon

Thanks, I was not aware of this solution, but it also kind of isn't a
complete solution.
A pull is a quite costly operation, why should I have to perform one on
my netbook when what I'm trying to find out is which commit is actually
worth pulling to?